View Issue Details

IDProjectCategoryView StatusLast Update
0000084JamochaMUDFeature Requestpublic2005-09-24 21:29
ReporterjeffnikAssigned Tojeffnik 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0 
Summary0000084: Create font-selection dialogue
DescriptionA font dialogue is necessary to allow not only greater flexibility in the user's viewing experience, but may will also allow users to select special fonts (e.g. Unicode fonts that support Asian character-sets).
Additional InformationWithout the ability to select specialised fonts, JamochaMUD may be running in Unicode, but unable to access the glyphs needed to be useful.
TagsNo tags attached.

Activities

jeffnik

2004-08-20 22:41

administrator   ~0000050

Latest release of JamochaMUD now determines what fonts are installed on the system and lets the user select from these.

PaulTB

2004-08-21 04:48

reporter   ~0000052

Three minor points
- the sample text line in Fonts and Colours changes with colour settings but not with the font setting.
- the Fonts and Colours dialog is too 'tight'. That is the controls are clipped off on my computer at the right by a fair bit and it could do with a couple of extra pixels on the left as well.
- [x] in top right of Font and Colours dialog should have the same effect as [Cancel] but instead does nothing.

2004-08-21 04:53

 

FontsAndColours.gif (10,560 bytes)
FontsAndColours.gif (10,560 bytes)

jeffnik

2004-08-25 23:38

administrator   ~0000057

Rewrote the font/colour selection dialogue GUI code to fix placement and updating of sample text.

Issue History

Date Modified Username Field Change
2004-08-20 01:49 jeffnik New Issue
2004-08-20 22:41 jeffnik Note Added: 0000050
2004-08-20 22:41 jeffnik Status new => feedback
2004-08-21 04:48 PaulTB Note Added: 0000052
2004-08-21 04:53 PaulTB File Added: FontsAndColours.gif
2004-08-25 23:20 jeffnik Status feedback => assigned
2004-08-25 23:20 jeffnik Assigned To => jeffnik
2004-08-25 23:38 jeffnik Status assigned => resolved
2004-08-25 23:38 jeffnik Resolution open => fixed
2004-08-25 23:38 jeffnik Note Added: 0000057
2005-08-20 22:06 jeffnik Status resolved => closed
2005-09-24 21:13 jeffnik Status closed => resolved
2005-09-24 21:13 jeffnik Fixed in Version => 1.0 rc1
2005-09-24 21:29 jeffnik Status resolved => closed